/*
 * Copyright (c) 2004-2007 Willem Dijkstra
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *    - Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *    - Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials provided
 *      with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 */

#ifndef _SLDRIVER_TEST_H
#define _SLDRIVER_TEST_H

#include "drivers.h"

__BEGIN_DECLS
void test_connect(struct driver *);
void test_disconnect(struct driver *);
int test_isconnected(struct driver *);
void test_clear(struct driver *);
char test_gethchar(struct driver *, int);
char *test_getoption(struct driver *);
char test_getvchar(struct driver *,int);
void test_flush(struct driver *);
void test_nprintf(struct driver *, int, char *, ...);
void test_option(struct driver*, int, char **);
void test_printf(struct driver *, char *, ...);
void test_reset(struct driver *);
void test_setbacklight(struct driver *, int);
void test_setcapabilities(struct driver *, int);
void test_setcontrast(struct driver *, int);
void test_setspecialchar(struct driver *, int, struct specialchar *);
void test_setupblock(struct driver *);
void test_setuphbar(struct driver *);
void test_setupvbar(struct driver *);
void test_setxy(struct driver *, int, int);
__END_DECLS
#endif
