/*
 * Copyright (c) 2005 Willem Dijkstra
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *    - Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *    - Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials provided
 *      with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 */

#ifndef _SLPORT_H
#define _SLPORT_H

/* parallel port control pins */
#define LPT_D0                                     0x01
#define LPT_D1                                     0x02
#define LPT_D2                                     0x04
#define LPT_D3                                     0x08
#define LPT_D4                                     0x10
#define LPT_D5                                     0x20
#define LPT_D6                                     0x30
#define LPT_D7                                     0x40

#define LPT_S3                                     0x08
#define LPT_S4                                     0x10
#define LPT_S5                                     0x20
#define LPT_S6                                     0x40
#define LPT_S7                                     0x80

#define LPT_C0                                     0x01
#define LPT_C1                                     0x02
#define LPT_C2                                     0x04
#define LPT_C3                                     0x08

#define LPT_DATA                                   0
#define LPT_STATUS                                 1
#define LPT_CONTROL                                2

/* Some control and one status pin are inverted */
#define LPT_CONTROL_MASK                           (LPT_C0 | LPT_C1 | LPT_C3)
#define LPT_STATUS_MASK                            (LPT_S7)

/* Default port location */
#define LPT_PORT                                   0x378

__BEGIN_DECLS
int readport(unsigned short int);
void writeport(unsigned short int, unsigned char);
void accessport(unsigned short int);
__END_DECLS

#endif
